Results 1 to 5 of 5

Thread: Tumbleweed Codec not supported: VLC could not decode the format "h264" (H264 - MPEG-4 AVC (part 10)

  1. #1

    Default Tumbleweed Codec not supported: VLC could not decode the format "h264" (H264 - MPEG-4 AVC (part 10)

    Hello,
    I'm new to suse and I can't make video codecs run on tumbleweed.
    I have this error in vlc Codec not supported:
    VLC could not decode the format "h264" (H264 - MPEG-4 AVC (part 10)
    Please help!
    Thnak you,
    Stefan

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,789

    Default Re: Tumbleweed Codec not supported: VLC could not decode the format "h264" (H264 - MPEG-4 AVC (part

    Proprietary Codecs must come from the packman repository. openSUSE only ships with open source (note the name)

    Best way is to change vendors to packman

    easy way

    Add packman via Yast - Repository management

    then at a comman prompt

    zypper lr -d

    note the number of the packman repo

    then

    sudo zypper dup --from #

    where # is the number of the number of the packman repo

    This will bring in and change vendor for all proprietary formats

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,521
    Blog Entries
    15

    Default Re: Tumbleweed Codec not supported: VLC could not decode the format "h264" (H264 - MPEG-4 AVC (part

    Quote Originally Posted by gogalthorp View Post
    Proprietary Codecs must come from the packman repository. openSUSE only ships with open source (note the name)

    Best way is to change vendors to packman

    easy way

    Add packman via Yast - Repository management

    then at a comman prompt

    zypper lr -d

    note the number of the packman repo

    then

    sudo zypper dup --from #

    where # is the number of the number of the packman repo

    This will bring in and change vendor for all proprietary formats
    Hi
    Just to clarify packman is a preferred third party repo not a 'must', if the user only wants to use VLC, then consider videolan, then there is always fluendo codecs...
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4

    Default Re: Tumbleweed Codec not supported: VLC could not decode the format "h264" (H264 - MPEG-4 AVC (part

    thank you mr wizzards!

  5. #5
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,789

    Default Re: Tumbleweed Codec not supported: VLC could not decode the format "h264" (H264 - MPEG-4 AVC (part

    Note do not mix video lan and packman it leads to heart ache. Also you may not codecs for other applications if you use videolan repo.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •